#!/bin/bash
CONF_FILE="/etc/nowatel/config.properties"

TMP_DIR="/tmp/nowatel"
mkdir $TMP_DIR
cat $CONF_FILE | grep -x "database.host.*" > $TMP_DIR/back.temp
IP_ADDR=`awk -F '=' '{ print $2 }' $TMP_DIR/back.temp`

cat $CONF_FILE | grep -x "database.panel.id.*" > $TMP_DIR/back.temp
PANEL_ID=`awk -F '=' '{ print $2 }' $TMP_DIR/back.temp`
BACKUP_DIR="id-$PANEL_ID"

LOG_DIR="/etc/nowatel/logger/log"
ZIP_FILENAME="log-`date +"%d-%m-%y"`.zip"
cd $LOG_DIR
zip -r $TMP_DIR/$ZIP_FILENAME ./*
cd -

ftp -n $IP_ADDR << EOF
quote USER logbackup
quote PASS 903n4ds
mkdir ~/$BACKUP_DIR
binary
put $TMP_DIR/$ZIP_FILENAME ~/$BACKUP_DIR/$ZIP_FILENAME
quit
EOF

rm $TMP_DIR/$ZIP_FILENAME
